Page MenuHomePhabricator

Mass message broken on Wikidata after ratelimit workaround
Closed, ResolvedPublic

Description

In T184948 a work around was applied that added a rate limit even to bot accounts that were previously without a rate limit (https://gerrit.wikimedia.org/r/#/c/427156/). On the task we already complained that this is not the right solution and it looks like mass message is broken because of this, see https://www.wikidata.org/w/index.php?title=Special:Log/massmessage&dir=prev&offset=20180420005019&limit=100&type=massmessage&user= for a snippet

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 20 2018, 10:28 PM

Change 428623 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[operations/mediawiki-config@master] Increase the timespan of rate limit in wikidata from 1m to 5m

https://gerrit.wikimedia.org/r/428623

https://gerrit.wikimedia.org/r/#/c/427156/

This seems inherently broken, the noratelimit right exists for a reason. I'm not really sure how to work around this in MassMessage besides disabling rate limits I suppose?

Did I miss an announcement to wikitech-l/wikidata-tech that something like this was going to happen?

Multichill updated the task description. (Show Details)Apr 24 2018, 1:39 PM

Change 428623 merged by jenkins-bot:
[operations/mediawiki-config@master] Increase the timespan of rate limit in wikidata from 1m to 5m

https://gerrit.wikimedia.org/r/428623

Mentioned in SAL (#wikimedia-operations) [2018-04-24T13:43:27Z] <ladsgroup@tin> Synchronized wmf-config/InitialiseSettings.php: [[gerrit:428623|Increase the timespan of rate limit in wikidata from 1m to 5m (T192690)]] (duration: 00m 58s)

https://gerrit.wikimedia.org/r/#/c/427156/

This seems inherently broken, the noratelimit right exists for a reason. I'm not really sure how to work around this in MassMessage besides disabling rate limits I suppose?

Did I miss an announcement to wikitech-l/wikidata-tech that something like this was going to happen?

Looks like you already found T184948 . https://gerrit.wikimedia.org/r/#/c/427156/ is the change that should be reverted

Framawiki added a subscriber: Framawiki.

This is probably not relevant any more after the limit is removed.

So this is done and can be resolved?

@Lydia_Pintscher was this work around removed? If that's the case there is no point keeping this open.

Multichill closed this task as Resolved.Wed, Mar 20, 1:14 PM
Multichill claimed this task.